Subject: Re: [PATCH] git status: print files under untracked dir if -a is given

From: Yasushi SHOJI <[email-masked]>
Date: Tue, 30 May 2006 21:55:16 +0900

Hi Junio,

At Tue, 30 May 2006 02:34:55 -0700,
Junio C Hamano wrote:
> 
> Yasushi SHOJI <[email-masked]> writes:
> 
> > git status: print files under untracked dir if -a is given
> >
> > git status (git-commit.sh) currently doesn't show files under
> > untracked directory.  this is inconvenient when adding many files
> > under new directory.
> >
> > this patch change its behavior to show files under untracked directory
> > if option --all is given.
> >
> > Signed-off-by: Yasushi SHOJI <[email-masked]>
> 
> I do not quite understand your rationale behind linking -a and
> "show untracked" behaviour.  In many cases, after modifying
> multiple files "commit -a" is the preferred way to make commits
> for people who keep their tree clean (meaning, they do not leave
> unrelated changes to their working tree files), and I suspect
> your change would clutter their commit log buffer with unrelated
> files they did not ask to see.

I assumed "--all" to mean "every single file under a working dir
except ignored". so I thought users of "commit -a" wouldn't mind to
see files under untracked dir. 

but I was wrong. man page clearly states that "... new files you have
not told git about are not affected."

# I admit I haven't used -a with commit because of my
# misunderstanding. it's nice to know the option is much safer than I
# expected.

> At least this would make things somewhat unpleasant for me to
> use, since I do "commit -a" often and I have my random notes
> files under ./+trash subdirectory of the main project (yes, I
> know I could add /+trash to .gitignore).

I wasn't expecting that usage.

> We have something different but perhaps related by Matthias
> Lederhofer to add "git status --untracked" since you did this
> patch.
> 
>         commit 443f8338b9e248353a7095a1096684f1ed106c66
>         Author: Matthias Lederhofer <[email-masked]>
>         Date:   Mon May 22 23:02:06 2006 +0200
> 
> Does it solve your problem?

yes, it perfectly does.

thanks,
--
       yashi